Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class BookDefinition

    java.lang.Object
      com.bea.netuix.application.definition.BookDefinition

All Implemented Interfaces:
  NavigableDefinition, PlaceableDefinition, Serializable

public class BookDefinition
extends Object
implements NavigableDefinition, PlaceableDefinition, Serializable

This class represents a persistant book.

See Also:
  Serialized Form

Field Summary
`protected BookInstance` | `bookInstance`

Constructor Summary
`protected` | `BookDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, BookInstance bookInstance)` Constructor that takes a `BookInstance`
`` | `BookDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, MenuDefinitionId menuDefinitionId, ThemeDefinitionId themeDefinitionId, short menuOrientation)` Constructs a new `BookDefinition` object.

Method Summary
`BookDefinitionId` | `getBookDefinitionId()` Returns the `BookDefinitionId` for this book.
`String` | `getDefinitionLabel()` Returns the definitionLabel associated with this book.
`String` | `getDescription()` Retrieves this book's localized description from it's `LocalizationResource`.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this book.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `BookDefinition` based on the locale of the request used for retrieving the `BookDefinition`.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this book.
`MenuDefinitionId` | `getMenuDefinitionId()` Returns `MenuDefinitionId` for menu associated with this `BookDefinition`
`short` | `getMenuOrientation()` Returns the menu orientation for this `BookDefinition`
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns the `NavigableDefinitionId` associated with this book.
`PlaceableDefinitionId` | `getPlaceableDefinitionId()` Returns the `PlaceableDefinitionId` associated with this book.
`PlacementId` | `getPlacementId()` Returns the `PlacementId` for this book.
`BookInstanceId` | `getPrimaryInstanceId()` Returns the `BookInstanceId` for the primary book instance associated with this book.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `BookDefinition`.
`String` | `getTitle()` Retrieves this book's localized title from it's `LocalizationResource`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this book is scoped to.
`boolean` | `isHidden()` Returns true if this book is configured to not be rendered.
`boolean` | `isPublic()` Returns whether this book is end-user created.
`void` | `setDefinitionLabel(String definitionLabel)` Sets the definitionLabel for this book.
`void` | `setHidden(boolean hidden)` Sets whether or not this book renders.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this book.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this book.
`void` | `setMenuDefinitionId(MenuDefinitionId menuDefinitionId)` Associates a menu with this book.
`void` | `setMenuOrientation(short menuOrientation)` Sets the menu orientation for this book
`void` | `setPublic(boolean _public)` Sets whether this book is end-user created.
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this book.
`void` | `setWebAppName(String webAppName)` Scopes this book to specified J2EE web application
`String` | `toString()` Returns a concatenated string representation of BookDefinitionId(int) Title Description MarkupDefinitionId(int) Definition Label isHidden(true or false) isPublic(true or false) Web app name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bookInstance

    protected BookInstance bookInstance

Constructor Detail

### BookDefinition

    protected BookDefinition(LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             String definitionLabel,
                             boolean hidden,
                             boolean _public,
                             String webAppName,
                             BookInstance bookInstance)

  Constructor that takes a `BookInstance`

### BookDefinition

    public BookDefinition(LocalizationResource localizationResource,
                          MarkupDefinitionId markupDefinitionId,
                          String definitionLabel,
                          boolean hidden,
                          boolean _public,
                          String webAppName,
                          MenuDefinitionId menuDefinitionId,
                          ThemeDefinitionId themeDefinitionId,
                          short menuOrientation)

  Constructs a new `BookDefinition` object.

Method Detail

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

  Returns the `BookDefinitionId` for this book. Returns `NULL` when the BookDefinition has not been retrieved by using the persistence API.

  Returns:
    `BookDefinitionId` for this book

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definitionLabel associated with this book.

  Specified by:
    `getDefinitionLabel` in interface `NavigableDefinition`
  Returns:
    definitionLabel for this book

### getDescription

    public String getDescription()

  Retrieves this book's localized description from it's `LocalizationResource`.

  Specified by:
    `getDescription` in interface `NavigableDefinition`
  Returns:
    localized description for this book

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this book. Returns `NULL` if no LocalizationResource is associated with this book. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns:
    `LocalizationIntersectionId` for this book

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `BookDefinition` based on the locale of the request used for retrieving the `BookDefinition`.

  Specified by:
    `getLocalizationResource` in interface `NavigableDefinition`
  Returns:
    `LocalizationResource` associated with this book

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this book.

  Returns:
    `MarkupDefinitionId`
  See Also:
    `MarkupDefinition`

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

  Returns `MenuDefinitionId` for menu associated with this `BookDefinition`

  Returns:
    `MenuDefinitionId`

### getMenuOrientation

    public short getMenuOrientation()

  Returns the menu orientation for this `BookDefinition`

  Returns:
    menu orientation

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Returns the `NavigableDefinitionId` associated with this book. Returns `NULL` when the BookDefinition has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableDefinition`
  Returns:
    `NaviagableDefinitionId` associated with this book
  See Also:
    `NavigableDefinition`

### getPlaceableDefinitionId

    public PlaceableDefinitionId getPlaceableDefinitionId()

  Returns the `PlaceableDefinitionId` associated with this book. Returns `NULL` when the BookDefinition has not been retrieved by using the persistence API.

  Specified by:
    `getPlaceableDefinitionId` in interface `PlaceableDefinition`
  Returns:
    `PlaceableDefinitionId` associated with this book
  See Also:
    `PlaceableDefinition`

### getPlacementId

    public PlacementId getPlacementId()

  Returns the `PlacementId` for this book. May be `NULL` if this book is not placed or if it has not been retrieved using the persistence API.

  Specified by:
    `getPlacementId` in interface `PlaceableDefinition`
  Returns:
    `PlacementId` for this book
  Excluded: Should not appear in public javadocs

### getPrimaryInstanceId

    public BookInstanceId getPrimaryInstanceId()

  Returns the `BookInstanceId` for the primary book instance associated with this book.

  Returns:
    BookInstanceId

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `BookDefinition`.

  Returns:
    `ThemeDefinitionId`

### getTitle

    public String getTitle()

  Retrieves this book's localized title from it's `LocalizationResource`.

  Specified by:
    `getTitle` in interface `NavigableDefinition`
  Returns:
    localized title for this book

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this book is scoped to.

  Specified by:
    `getWebAppName` in interface `NavigableDefinition`
  Returns:
    name of web application

### isHidden

    public boolean isHidden()

  Returns true if this book is configured to not be rendered.

  Specified by:
    `isHidden` in interface `NavigableDefinition`
  Returns:
    true if `BookDefinition` is hidden

### isPublic

    public boolean isPublic()

  Returns whether this book is end-user created.

  Returns:
    true if this book is end-user created.

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

  Sets the definitionLabel for this book.

  Parameters:
    `definitionLabel` -

### setHidden

    public void setHidden(boolean hidden)

  Sets whether or not this book renders.

  Parameters:
    `hidden` - configures this book to not render if set to true

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this book.

  Parameters:
    `localizationResource` -

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this book.

  Parameters:
    `markupDefinitionId` -

### setMenuDefinitionId

    public void setMenuDefinitionId(MenuDefinitionId menuDefinitionId)

  Associates a menu with this book.

  Parameters:
    `menuDefinitionId` - of menu associated with this book

### setMenuOrientation

    public void setMenuOrientation(short menuOrientation)

  Sets the menu orientation for this book

  Parameters:
    `menuOrientation` -

### setPublic

    public void setPublic(boolean _public)

  Sets whether this book is end-user created.

  Parameters:
    `_public` -

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this book.

  Parameters:
    `themeDefinitionId` - of theme associated with this book

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this book to specified J2EE web application

  Parameters:
    `webAppName` - name of the web application to scope this book to

### toString

    public String toString()

  Returns a concatenated string representation of
  - BookDefinitionId(int)
  - Title
  - Description
  - MarkupDefinitionId(int)
  - Definition Label
  - isHidden(true or false)
  - isPublic(true or false)
  - Web app name

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved